---
title: Skeleton
desc: The QSkeleton Vue component is used to display a placeholder preview of your content before you load the actual page data.
keys: QSkeleton
related:
  - /vue-components/circular-progress
  - /vue-components/inner-loading
  - /vue-components/spinners
  - /quasar-plugins/loading
  - /quasar-plugins/loading-bar
---

The QSkeleton is a component for displaying a placeholder preview of your content before you load the actual page data. It's a nice way of informing the user of what to expect from the page before it is fully loaded and increases the perceived performance. It can be used to incrementally display information on screen as data is being fetched.

## QSkeleton API

<doc-api file="QSkeleton" />

## Usage

<doc-example title="On a QCard" file="QSkeleton/Card" />

### Predefined types

Below you can see the predefined types. There are some basic types (text, rect, circle) and also some special convenience types that accurately respect Quasar components size and border radius.

<doc-example title="QSkeleton types" file="QSkeleton/Types" />

### Animations

<doc-example title="Animations" file="QSkeleton/Animations" />

### Sizing

<doc-example title="Sizing" file="QSkeleton/Sizing" />

### Styling

<doc-example title="Bordered" file="QSkeleton/StylingBordered" />

<doc-example title="Square borders" file="QSkeleton/StylingSquare" />

<doc-example title="Custom color" file="QSkeleton/StylingColor" />

<doc-example title="Custom border" file="QSkeleton/StylingCustomBorder" />

### Recipes

Enjoy some pre-made recipes. Your imagination is the only limit.

<doc-example title="Youtube" file="QSkeleton/RecipeYoutube" />

<doc-example title="Facebook" file="QSkeleton/RecipeFacebook" />

<doc-example title="Twitter" file="QSkeleton/RecipeTwitter" />

<doc-example title="Twitch" file="QSkeleton/RecipeTwitch" />

<doc-example title="Table" file="QSkeleton/RecipeTable" />

<doc-example title="List" file="QSkeleton/RecipeList" />
